constant connectives.True : Prop.
constant connectives.False : Prop.
constant connectives.Not : (Prop) -> Prop.
constant connectives.equal : forall (A : Type) , (A) -> (A) -> Prop.
axiom connectives.I : (connectives.True) .
axiom connectives.falsity : forall (t:Prop) , ((connectives.False) ) -> t.
axiom connectives.nmk : forall (A:Prop) , ((A) -> (connectives.False) ) -> ((connectives.Not) ) (A).
axiom connectives.Not_ind : forall (A:Prop) , forall (Q:Prop) , (((A) -> (connectives.False) ) -> Q) -> (((connectives.Not) ) (A)) -> Q.
axiom connectives.equal_leibniz : forall (A : Type) , forall (x:A) , forall (y:A) , ((((connectives.equal) (A)) (x)) (y)) -> forall (P:(A) -> Prop) , ((P) (x)) -> (P) (y).
